Pure-ftpd - TLS - Filezilla - Updating pure ftp past 1.0.46

Discussion in 'General' started by xrstokes, Jan 18, 2020.

  1. xrstokes

    xrstokes Member

    I've got a terrific Server setup going on and everything is working as advertised thanks to the guys on here. But since early last year my requirement for FTPS has meant that clients need to stick with the older version of FileZilla since they enforced TLS1.3 in later versions, and that doesn't play well with the generic Debian pure-ftpd which is version 1.0.46. If you go to this site though https://github.com/jedisct1/pure-ftpd you can download the latest version that at time of writing is 1.0.49. Where I'm stuck though is what options are needed to install with. Like ./configure ???? I'm not sure what is needed here. If someone knows could they let me know.

    Thanks.
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Update to Debian 10 which ships with pure-ftpd 1.0.47-3 which has the issue fixed as well. If you can't update to Debian 10, then you can check if a newer version is e.g. in backports for Debian 9 or if you can install the Debian 10 version with apt-pinning.
     
  3. xrstokes

    xrstokes Member

    Oops, I miss spoke, I'm actually running Ubuntu 18.04 LTS. Debian is another machine :confused:.
    You suggesting apt-pinning helped me get it. Got more info here https://help.ubuntu.com/community/PinningHowto
    This is what I did. Set vi /etc/apt/apt.conf.d/01ubuntu-bionic to -> APT::Default-Release "bionic";
    vi /etc/apt/preferences ->
    Package: pure-ftpd-mysql
    Pin: release n=bionic
    Pin-Priority: -10
    Package: pure-ftpd-mysql
    Pin: release n=disco
    Pin-Priority: 900
    Package: pure-ftpd
    Pin: release n=bionic
    Pin-Priority: -10
    Package: pure-ftpd
    Pin: release n=disco
    Pin-Priority: 900

    Add this to /etc/apt/sources.list ->
    #### development #########
    deb http://archive.ubuntu.com/ubuntu disco main restricted universe multiverse

    then run -> apt install pure-ftpd-mysql/disco

    This ought to help anyone else in the same basket I hope. Also, let me know if I broke something. seems alright though ATM.
     
    biforme and till like this.
  4. labsy

    labsy Member

    As I discussed with FileZilla devs here https://forum.filezilla-project.org/viewtopic.php?f=2&t=51760&p=173038#p173038 I found out the easiest solution to take Pure FTP from 19.04 Ubuntu like this:
    Code:
    wget http://mirrors.kernel.org/ubuntu/pool/universe/p/pure-ftpd/pure-ftpd-common_1.0.47-3_all.deb
    wget http://mirrors.kernel.org/ubuntu/pool/universe/p/pure-ftpd/pure-ftpd-mysql_1.0.47-3_amd64.deb
    dpkg -i pure-ftpd-common_1.0.47-3_all.deb pure-ftpd-mysql_1.0.47-3_amd64.deb
    Tested, working on Ubuntu 18.04, seems like nothing got broken even after apt upgrade.
     
    Steini86 and Jesse Norell like this.
  5. Fire Fox

    Fire Fox New Member

    i use buntu 18.04 but need LTS v1.3 in pure-ftpd
    i try this way:

    Code:
    mv /etc/apt/sources.list /etc/apt/sources.list.bak
    cat >>/etc/apt/sources.list<<EOL
    deb http://id.archive.ubuntu.com/ubuntu focal main restricted
    deb http://id.archive.ubuntu.com/ubuntu focal-updates main restricted
    deb http://id.archive.ubuntu.com/ubuntu focal universe
    deb http://id.archive.ubuntu.com/ubuntu focal-updates universe
    deb http://id.archive.ubuntu.com/ubuntu focal multiverse
    deb http://id.archive.ubuntu.com/ubuntu focal-updates multiverse
    deb http://id.archive.ubuntu.com/ubuntu focal-backports main restricted universe multiverse
    deb http://id.archive.ubuntu.com/ubuntu focal-security main restricted
    deb http://id.archive.ubuntu.com/ubuntu focal-security universe
    deb http://id.archive.ubuntu.com/ubuntu focal-security multiverse
    EOL
    
    apt update
    and then i install the package:
    Code:
    wget https://mirrors.edge.kernel.org/ubuntu/pool/universe/p/pure-ftpd/pure-ftpd-common_1.0.49-4_all.deb
    wget https://mirrors.edge.kernel.org/ubuntu/pool/universe/p/pure-ftpd/pure-ftpd-mysql_1.0.49-4_amd64.deb
    apt install ./pure-ftpd-common_1.0.49-4_all.deb
    apt install ./pure-ftpd-mysql_1.0.49-4_amd64.deb
    #insted apt install, you can try dpkg,
    dpkg -i pure-ftpd-common_1.0.49-4_all.deb pure-ftpd-mysql_1.0.49-4_amd64.deb
    
    after that, execute this. and never try to apt upgrade while you're in focal environment. you can update and upgrade after you return to bionic environment
    Code:
    mv /etc/apt/sources.list.bak /etc/apt/sources.list
    apt update
    apt upgrade -y
    apt autoremove -y
     
    Last edited: Aug 31, 2020
  6. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    Fire Fox likes this.
  7. Fire Fox

    Fire Fox New Member

    well, that's not sweet
    i'll try apt pinning
    thanks Taleman
     
  8. Fire Fox

    Fire Fox New Member

    like till and taleman said, apt-pinning is better
    this is how i get TLS v1.3,
    Code:
    cat >/etc/apt/apt.conf<< EOL
    APT::Default-Release "bionic";
    
    EOL
    
    cat >>/etc/apt/sources.list<<EOL
    
    # my add --------------------------------------------------------------------
    deb http://id.archive.ubuntu.com/ubuntu focal main restricted
    deb http://id.archive.ubuntu.com/ubuntu focal-updates main restricted
    deb http://id.archive.ubuntu.com/ubuntu focal universe
    deb http://id.archive.ubuntu.com/ubuntu focal-updates universe
    deb http://id.archive.ubuntu.com/ubuntu focal multiverse
    deb http://id.archive.ubuntu.com/ubuntu focal-updates multiverse
    deb http://id.archive.ubuntu.com/ubuntu focal-backports main restricted universe multiverse
    deb http://id.archive.ubuntu.com/ubuntu focal-security main restricted
    deb http://id.archive.ubuntu.com/ubuntu focal-security universe
    deb http://id.archive.ubuntu.com/ubuntu focal-security multiverse
    
    EOL
    
    cat >/etc/apt/preferences<< EOL
    Package: pure-ftpd-common
    Pin: release n=focal
    Pin-Priority: 990
    
    Package: pure-ftpd-common
    Pin: release n=bionic
    Pin-Priority: -10
    
    Package: pure-ftpd-mysql
    Pin: release n=focal
    Pin-Priority: 900
    
    EOL
    
    apt update
    i just ignore /etc/apt/preferences and install pure-ftpd this way,
    Code:
    apt -t focal install pure-ftpd-common pure-ftpd-mysql
    what i got are packages from focal distribution
    i also try,
    Code:
    apt-get -y -t focal install \
    apache2 \
    apache2-doc \
    apache2-utils 
    they work
    thanks for the trick
    and thanks for such a great product, ISPConfig
     
    Last edited: Sep 1, 2020

Share This Page